Subject: Re: What's cooking in git.git (Jul 2021, #03; Tue, 13)

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Jul 2021 09:30:16 -0700

Eric Sunshine <[email-masked]> writes:

> On Tue, Jul 13, 2021 at 9:07 PM Junio C Hamano <[email-masked]> wrote:
>> * sm/worktree-add-lock (2021-07-12) 3 commits
>>  - worktree: teach `add` to accept --reason <string> with --lock
>>  - worktree: mark lock strings with `_()` for translation
>>  - t2400: clean up '"add" worktree with lock' test
>>
>>  "git worktree add --lock" learned to record why the worktree is
>>  locked with a custom message.
>>
>>  Ready?
>
> I think this series is ready and gave my Reviewed-by: here[1]. One of
> the new tests contains an unnecessary but harmless `test -f`[2], but
> it's such a minor nit that I doubt it's worth demanding a re-roll.

I think having "test -f" is the right thing to do, so [2] is
probably OK as-is.  test_cmp may want to complain about a possible
bug in the test when given a missing file.  I do agree with you that
the unquoted "why not" is a bit problematic from the readability's
point of view but I agree it is not too huge a deal.

Let me "rebase -i"-in your Reviewed-by: before merging it down to
'next'.

Thanks.

> [1]: https://lore.kernel.org/git/[email-masked]/
> [2]: https://lore.kernel.org/git/CAPig+cQVSUg1aqry_hMydJ=Uo=-VhOog6TUTpG=[email-masked]/